Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 21692

Description

Unless deleted, the single spaces that both precede and follow the wildcard character (i.e., %) when inserted (e.g., via a double-click of

mouse) from the list of Operators in the 'Select by expression...' dialog alters the pattern search of operators such as LIKE and ILIKE.

Having the default wildcard without leading and trailing spaces will resolve this issue.

History

#1 - 2015-11-07 02:35 AM - Giovanni Manghi

- Affected QGIS version changed from 2.10.0 to master

- Operating System deleted (Windows 7)

- Category set to Expressions

#2 - 2015-11-17 03:31 PM - Sebastian Dietrich

According to the documentation the % is not supposed to be the wildcard character but the modulo operator. It therefore comes with the same leading

and trailing spaces as any other operator, e.g. + or -.

I don't think the behaviour should be changed.

But maybe a '% (wildcard)' can be added that only inserts the % character with no spaces around?

#3 - 2015-11-17 05:37 PM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

According to the documentation the % is not supposed to be the wildcard character but the modulo operator. It therefore comes with the same

leading and trailing spaces as any other operator, e.g. + or -.

I don't think the behaviour should be changed.

Agreed. I can't see many users using the list to add a "%" sign to a like clause enough times for this to be a big issue anyway, and as noted the % symbol is

listed as a modulo operator in the tree.
http://docs.qgis.org/2.12/en/docs/user_manual/working_with_vector/expression.html#operators

